package com.lamatek.tags.google;

import java.util.Vector;

/**
 * GoogleMapEventListener
 * 
 * This method is implemented in all tags that can handle events. Developers should
 * not override this class.
 * 
 * @author Tom Cole
 * @version 0.40
 */
public interface GoogleMapEventListener {
    /**
     * Adds a GoogleMapEventTag to the list of available events.
     * 
     * @param event A GoogleMapEventTag.
     */
    public void addEvent(GoogleMapEventTag event);
    /**
     * Returns the current list of event listeners.
     * 
     * @return A Vector of GoogleMapEventTags
     */
    public Vector getEvents();
    
}
